> ## Documentation Index
> Fetch the complete documentation index at: https://help.aasaan.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates the product ordering within a category

> Updates the product ordering within a category



## OpenAPI

````yaml post /{storeId}/product-ordering
openapi: 3.0.0
info:
  title: AASAAN PARTNER REST API
  version: 1.0.0
  description: >-
    REST API endpoints are organized by resource type. You’ll need to use
    different endpoints depending on your app’s requirements.
servers:
  - url: https://partner-api.aasaan.shop/api/v1/partner-integrations/stores
    description: Development server
security: []
tags: []
paths:
  /{storeId}/product-ordering:
    post:
      tags:
        - Store Front
      summary: Updates the product ordering within a category
      description: Updates the product ordering within a category
      parameters:
        - name: storeId
          in: path
          required: true
          schema:
            type: string
            description: Store ID for this resource request
      requestBody:
        required: true
        description: an order list of products in a way it needs to be sorted/displayed
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    description: product id of the specified product
                    example: product-id-1
                  name:
                    type: string
                    description: name of the product
                    example: sample product name goes here
      responses:
        '200':
          description: A list of all products.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: product id of the specified product
                      example: product-id-1
                    name:
                      type: string
                      description: name of the product
                      example: sample product name goes here
        '403':
          description: Invalid Api Key.
        '500':
          description: Internal Server Error

````